.popover {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  box-sizing: border-box;
  background-color: var(--trans-popover);
  z-index: 1003;
  align-items: center;
  justify-content: center;
  display: flex;
}
.popover .popover-text {
  padding: var(--grid-gap-mobile);
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
}
.popover .popover-categories {
  margin-top: var(--grid-gap-min);
  display: flex;
  align-items: center;
}
.popover .popover-categories span {
  display: block;
  margin-right: 8px;
}
.popover .popover-categories .dot {
  font-size: 24px;
  margin: 0 4px 6px 0;
  line-height: 24px;
}
.popover .absolute.close-btn {
  position: fixed;
  right: 36px;
  top: 48px;
  width: 32px;
  height: 32px;
  cursor: pointer;
  z-index: 10;
}
.popover .close-btn svg {
  width: 100%;
  height: 100%;
}
.popover .close-btn:hover svg circle {
  fill: var(--white);
}
.popover .close-btn:hover svg path {
  fill: var(--darkblue);
  stroke: var(--darkblue);
}
.popover .popover-inner {
  border-radius: var(--border-radius);
  display: flex;
  position: relative;
  width: 100%;
  margin: 0 var(--grid-gap-mobile);
  opacity: 0;
  transition: opacity .15s ease-in-out;
  overflow-y: auto;
}
.popover.visible .popover-inner{
  opacity: 1;
}
.popover .popover-text .button {
  display: inline-block;
  margin-left: 0;
  margin-right: 0;
}

.popover .popover-inner.eventpage,
.popover .popover-inner.newspage {
  min-height: 66.666vh;
  overflow-x: hidden;
  scrollbar-gutter: stable;
  max-height: 90vh;
}
.popover .popover-inner.eventpage {
  background-color: var(--orange);
}
.popover .popover-inner.newspage {
  background-color: var(--lightblue);
}

.popover .popover-inner.eventpage,.popover .popover-inner.newspage {
  flex-direction: column;
}
.popover .popover-inner.eventpage .popover-text,
.popover .popover-inner.eventpage .popover-image,
.popover .popover-inner.newspage .popover-text,
.popover .popover-inner.newspage .popover-image {
  padding: var(--grid-gap-mobile);
}
.popover .popover-inner.eventpage .popover-image,
.popover .popover-inner.newspage .popover-image {
  order: 1;
}
.popover .popover-inner.eventpage .popover-text,
.popover .popover-inner.newspage .popover-text {
  order: 2;
}
.popover .popover-inner.newspage .popover-image, 
.popover .popover-inner.eventpage .popover-image {
  width: 100%;
  display: block;
  margin: 0;
  padding: 0;
}
.popover .popover-inner.newspage .popover-image img,
.popover .popover-inner.eventpage .popover-image img {
  width: 100%;
  height: auto;
  border-radius: 0;
  aspect-ratio: auto;
  object-fit: contain;
}


@media screen and (min-width: 1024px) {
  .popover .popover-inner.eventpage,
  .popover .popover-inner.newspage {
    flex-direction: row;
  }
  .popover .popover-inner.eventpage .popover-text,
  .popover .popover-inner.eventpage .popover-image,
  .popover .popover-inner.newspage .popover-text,
  .popover .popover-inner.newspage .popover-image {
    padding: var(--grid-gap-desktop);
    order: unset;
  }
  .popover .popover-inner.newspage .popover-image, 
  .popover .popover-inner.eventpage .popover-image {
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: var(--grid-gap-desktop) var(--grid-gap-desktop) var(--grid-gap-desktop) var(--grid-gap-mobile);
    margin: 0;
  }
  .popover .popover-inner.eventpage .popover-image img,
  .popover .popover-inner.newspage .popover-image img {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    border-radius: 50%;
  }
  .popover .popover-inner.eventpage .popover-text, 
  .popover .popover-inner.newspage .popover-text {
    width: 50%;
    padding: var(--grid-gap-desktop) var(--grid-gap-mobile) var(--grid-gap-desktop) var(--grid-gap-desktop);
    overflow-y: auto;
    max-height: 80vh;
  }
  .popover .absolute.close-btn {
    position: absolute;
    right: 36px;
    top: 41px;
    width: 48px;
    height: 48px;
  }

  .popover .popover-inner {
    margin: 0 var(--grid-gap-desktop);
    overflow-y: hidden;
  }
  .popover .popover-inner > div.half {
    width: 50%;
  }
  
}
